Index: /issm/trunk-jpl/jenkins/macosx_pine-island_static
===================================================================
--- /issm/trunk-jpl/jenkins/macosx_pine-island_static	(revision 20491)
+++ /issm/trunk-jpl/jenkins/macosx_pine-island_static	(revision 20492)
@@ -22,6 +22,5 @@
 	--with-m1qn3-dir=$ISSM_DIR/externalpackages/m1qn3/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a /usr/local/gfortran/lib/libquadmath.a /usr/local/gfortran/lib/gcc/x86_64-apple-darwin14/5.2.0/libgcc.a" \
-	--with-numthreads=4 \
-	--enable-debugging'
+	--with-numthreads=4'
 
 #PYTHON and MATLAB testing
Index: /issm/trunk-jpl/packagers/macosx/package.sh
===================================================================
--- /issm/trunk-jpl/packagers/macosx/package.sh	(revision 20491)
+++ /issm/trunk-jpl/packagers/macosx/package.sh	(revision 20492)
@@ -36,3 +36,24 @@
 
 echo "Shipping binaries to website"
-scp $tarball_name websites.jpl.nasa.gov:/home/larour/files/$tarball_name
+
+# We're using public key authentication method to upload the tarball The
+# following lines check to see if the SSH Agent is running. If not, then it is
+# started and relevant information is forwarded to a script.
+pgrep "ssh-agent" > /dev/null
+if [ $? -ne 0 ]; then
+	echo "SSH Agent is not running. Starting it..."
+	ssh-agent > ~/.ssh/agent.sh
+else
+	echo "SSH Agent is running..."
+fi
+
+source ~/.ssh/agent.sh
+ssh-add ~/.ssh/macosx-bins_richese-to-ross
+
+scp $tarball_name ross.ics.uci.edu:/var/www/html/$tarball_name
+
+if [ $? -ne 0 ]; then
+	echo "The upload failed."
+	echo "Perhaps the SSH Agent was started by some other means."
+	echo "Try killing the agent and running again.
+fi
